Bug 1564429 - LDAP configuration ui widget not showing properly
Summary: LDAP configuration ui widget not showing properly
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: GA
: cfme-future
Assignee: Harpreet Kataria
QA Contact: Antonin Pagac
URL:
Whiteboard: auth:miqldap
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-06 09:02 UTC by Cyril Coupel
Modified: 2019-11-06 20:00 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-11 15:26:03 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
Ldap Default Group (8.44 KB, image/png)
2018-04-06 09:02 UTC, Cyril Coupel
no flags Details
LDAP User configuration (13.70 KB, image/png)
2018-04-06 09:06 UTC, Cyril Coupel
no flags Details

Description Cyril Coupel 2018-04-06 09:02:21 UTC
Created attachment 1418027 [details]
Ldap Default Group

Description of problem:
While configuring LDAP authentication, the fields "Base DN", "Bind DN" and "Bind Password" are only displayed when the check box "Get User GRoups from LDAP" is checked. But these values could be required for the configuration and are used even if they are not displayed.

Which means that we can't have a default group in the same time as a Bind/Base DN.

Version-Release number of selected component (if applicable):
5.9.0.22

How reproducible:
Every time

Steps to Reproduce:
1.go to the authentication configuration page 
2. try to fill in the field "Base DN" => not displayed
3. check the box "Get User Groups ..."
4. you can fill in the field
5. try to fill in also the field "Default Group" => not diplayed
6. uncheck the box

Actual results:
the fields "Base DN"... is only displayed when the box is checked
the field "Default Group" is only displayed when the box is unchecked

Expected results:
the fields "Base DN"... is only displayed when the box is checked
the field "Default Group" is only displayed when the box is unchecked

Additional info:

Comment 2 Cyril Coupel 2018-04-06 09:06:42 UTC
Created attachment 1418028 [details]
LDAP User configuration

Comment 5 Yuri Rudman 2019-02-14 14:37:16 UTC
Joe, could you please check if it is expected behavior

Comment 6 Joe Vlcek 2019-02-26 18:56:31 UTC
The desired correct behavior is described in the Github Issue
https://github.com/ManageIQ/manageiq-ui-classic/issues/1891


Note You need to log in before you can comment on or make changes to this bug.